View Issue Details

IDProjectCategoryView StatusLast Update
0001672SOGoSOPEpublic2012-03-23 15:31
Reporterbuzzdee Assigned Toludovic  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.12 
Target Version1.3.15Fixed in Version1.3.15 
Summary0001672: crasher in OGo when creating/deleting a folder on 64Bit platforms
Description

An old bug hits me again on 64Bit platforms: old bug report was here:
http://bugzilla.opengroupware.org/bugzilla/show_bug.cgi?id=1932
At that time, I had the problem on OpenSUSE 64Bit, now on OpenBSD the same thing.

the fix obviously never made it into the SOPE trunk.

attached the proposed fix, which also works for me on OpenBSD.

Additional Information

could this please be considered to be added to SOPE for the next release?

TagsNo tags attached.

Activities

2012-03-11 05:59

 

patch-sope-gdl1_GDLAccess_FoundationExt_PrintfFormatScanner_m (439 bytes)   
$OpenBSD$
--- sope-gdl1/GDLAccess/FoundationExt/PrintfFormatScanner.m.orig	Sun Mar 11 10:45:08 2012
+++ sope-gdl1/GDLAccess/FoundationExt/PrintfFormatScanner.m	Sun Mar 11 10:46:36 2012
@@ -32,7 +32,12 @@
     va_list va;
 
 #ifdef __va_copy
-    __va_copy(va, args);
+    // args being NULL breaks heavily on amd64
+    if (args != NULL) {
+        __va_copy(va, args);
+    } else {
+	return format;
+    }
 #else
     va = args;
 #endif
ludovic

ludovic

2012-03-23 15:31

administrator   ~0003637

Fixed: http://mtn.inverse.ca/revision/diff/37e6e15919108b7a757e4fecda053baaadd2093b/with/2adb5ade334600e109b08ab00325c5c87d89b847

Issue History

Date Modified Username Field Change
2012-03-11 05:59 buzzdee New Issue
2012-03-11 05:59 buzzdee File Added: patch-sope-gdl1_GDLAccess_FoundationExt_PrintfFormatScanner_m
2012-03-16 14:30 ludovic Target Version => 1.3.14
2012-03-23 08:33 francis Target Version 1.3.14 => 1.3.15
2012-03-23 15:31 ludovic Note Added: 0003637
2012-03-23 15:31 ludovic Status new => resolved
2012-03-23 15:31 ludovic Fixed in Version => 1.3.15
2012-03-23 15:31 ludovic Resolution open => fixed
2012-03-23 15:31 ludovic Assigned To => ludovic